kubuntu wicd client kde install it


NOTE ON 11.04 NATTY you should be able to find now the package wicd-kde ^_^

Hi this is a tutorial to install wicd-qt on kubuntu 11.04, actually it’s a beta, AD USUAL THIS IS NOT FOR NOBS,please before learn linux then do “complicated stuff”

INSTALL NOWARDEV  DEBIAN PACKAGE FOR WICD-KDE

first install wicd daemon only with this:

NOTE IT WILL ASK YOU TO SET WHO CAN RUN WICD SO RUN THIS ON KONSOLE!

sudo apt-get install --no-install-recommends  wicd-daemon 

now , you can follow what i have done if you don’t trust of my package or just download and install my own debian package

CREATE YOUR OWN DEBIAN PACKAGE for wicd-kde

note i have used these dependencies on CMakeLists.txt :

SET(CPACK_DEBIAN_PACKAGE_DEPENDS “kdebase-runtime (>= 4:4.4.5), kdelibs5(>= 4:4.4.5), libqt4-dbus (>= 4.5.0), libqtcore4 (>= 4.5.0), libqtgui4 (>= 4.5.0), wicd-daemon “)

here is working all fine but wicd-daemon install the gtk gui so… before to install your own package check inf you have done

sudo apt-get install --no-install-recommends  wicd-daemon 

now get the source here

you should install dependencies to compile typically build-essentials , cmake cpack kdelibs5-dev
right now i have no time to check them all, sudo apt-get build-dep package will install dependencies automatically remember it !

unpack somewhere , and modify the CMakeLists.txt

  project(wicd-kde)

set(KDE_MIN_VERSION "4.5.0")
find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)

include_directories( ${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} )

if (NOT PYTHONBIN)
    set (PYTHONBIN "python" CACHE STRING "python command")
endif (NOT PYTHONBIN)
configure_file (config-python.h.cmake config-python.h)

add_subdirectory( kcm )
add_subdirectory( icons )

set(client_SRCS
    global.cpp
    main.cpp
    mainwindow.cpp
    networkpanel.cpp
    labelentry.cpp
    scriptsdialog.cpp
    networkpropertiesdialog.cpp
    profilemanager.cpp
    infosdialog.cpp
    networkmodel.cpp
    networkitemdelegate.cpp
    trayicon.cpp
    dbushandler.cpp)

kde4_add_ui_files(client_SRCS profilemanager.ui)
kde4_add_kcfg_files(client_SRCS settings.kcfgc)
install(FILES settings.kcfgc DESTINATION ${KCFG_INSTALL_DIR})

kde4_add_executable( wicd-kde ${client_SRCS} )
target_link_libraries( wicd-kde ${KDE4_KDEUI_LIBS} ${QT_QTNETWORK_LIBRARY} ${KDE4_KNOTIFYCONFIG_LIBS})
install( TARGETS wicd-kde  ${INSTALL_TARGETS_DEFAULT_ARGS} )

kde4_add_executable(wicdclient_scripts_helper  scriptshelper.cpp)
target_link_libraries(wicdclient_scripts_helper ${KDE4_KDECORE_LIBS})
install(TARGETS wicdclient_scripts_helper DESTINATION ${LIBEXEC_INSTALL_DIR})

kde4_install_auth_actions(org.kde.wicdclient.scripts wicdclient.scripts.actions)
kde4_install_auth_helper_files(wicdclient_scripts_helper org.kde.wicdclient.scripts root)

install( PROGRAMS wicd-kde.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES wicd-kde.desktop  DESTINATION ${AUTOSTART_INSTALL_DIR} )
install( FILES wicd-kde.notifyrc wicd-kdeui.rc DESTINATION ${DATA_INSTALL_DIR}/wicd-kde )

add_subdirectory( po )

SET(MAJOR_VERSION 0)
SET(MINOR_VERSION 2)
SET(PATCH_VERSION 2)

IF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
INCLUDE(InstallRequiredSystemLibraries)

SET(CPACK_SET_DESTDIR "on")
SET(CPACK_PACKAGING_INSTALL_PREFIX "/tmp")
SET(CPACK_GENERATOR "DEB")

SET(CPACK_PACKAGE_DESCRIPTION "Wicd Client KDE  Wicd")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Wicd Client KDE is a Wicd client build on the KDE Development Platform.
")
SET(CPACK_PACKAGE_VENDOR "kubuntu")
SET(CPACK_PACKAGE_CONTACT "Anthony Vital")
SET(CPACK_PACKAGE_VERSION_MAJOR "${MAJOR_VERSION}")
SET(CPACK_PACKAGE_VERSION_MINOR "${MINOR_VERSION}")
SET(CPACK_PACKAGE_VERSION_PATCH "${PATCH_VERSION}")
SET(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")

SET(CPACK_DEBIAN_PACKAGE_DEPENDS "kdebase-runtime (>= 4:4.4.5), kdelibs5(>= 4:4.4.5), libqt4-dbus (>= 4.5.0), libqtcore4 (>= 4.5.0), libqtgui4 (>= 4.5.0),  wicd-daemon ")

SET(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
SET(CPACK_DEBIAN_PACKAGE_SECTION "kde")
SET(CPACK_DEBIAN_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})

SET(CPACK_COMPONENTS_ALL Libraries ApplicationData)
INCLUDE(CPack)

ENDIF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
 mkdir build ; cd build ; cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` ..  

now if no errors are shown do

cpack .. 

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: